diff --git a/gnu/packages/audio.scm b/gnu/packages/audio.scm
index f9daf07521..7bef131f98 100644
--- a/gnu/packages/audio.scm
+++ b/gnu/packages/audio.scm
@@ -6514,7 +6514,7 @@ (define-public codec2
         (base32 "1jpvr7bra8srz8jvnlbmhf8andbaavq5v01qjnp2f61za93rzwba"))))
     (build-system cmake-build-system)
     (native-inputs
-     (list bc octave valgrind))
+     (list bc octave valgrind/pinned))
     (arguments
      `(#:tests? #f ; TODO: Fix tests (paths, graphic toolkit, octave modules).
        #:phases
diff --git a/gnu/packages/bootloaders.scm b/gnu/packages/bootloaders.scm
index 8ece61f11c..44b27d8a96 100644
--- a/gnu/packages/bootloaders.scm
+++ b/gnu/packages/bootloaders.scm
@@ -742,8 +742,8 @@ (define-public dtc
             python-setuptools-scm
             swig
             which)
-      (if (member (%current-system) (package-supported-systems valgrind))
-          (list valgrind)
+      (if (member (%current-system) (package-supported-systems valgrind/pinned))
+          (list valgrind/pinned)
           '())))
     (inputs
      (list python))
diff --git a/gnu/packages/chromium.scm b/gnu/packages/chromium.scm
index 5da5f10da6..407cb41edc 100644
--- a/gnu/packages/chromium.scm
+++ b/gnu/packages/chromium.scm
@@ -924,7 +924,7 @@ (define-public ungoogled-chromium
            snappy
            speech-dispatcher
            eudev
-           valgrind
+           valgrind/pinned
            vulkan-headers
            vulkan-loader
            wayland
diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index edd4466154..20fa86827d 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -16325,7 +16325,7 @@ (define-public rust-crabgrind-0.1
                             "--skip=tests::test_run_mode_under_valgrind"
                             "--skip=tests::wrong_monitor_command")
        #:cargo-inputs (("rust-cc" ,rust-cc-1))))
-    (inputs (list valgrind))
+    (inputs (list valgrind/pinned))
     (home-page "https://github.com/2dav/crabgrind")
     (synopsis "Rust bindings to \"Valgrind Client Request\" interface")
     (description
diff --git a/gnu/packages/crates-tls.scm b/gnu/packages/crates-tls.scm
index 40b013d720..9b147b102e 100644
--- a/gnu/packages/crates-tls.scm
+++ b/gnu/packages/crates-tls.scm
@@ -1763,7 +1763,7 @@ (define-public rust-rustls-pki-types-1
     (arguments
      `(#:cargo-inputs (("rust-web-time" ,rust-web-time-1))
        #:cargo-development-inputs (("rust-crabgrind" ,rust-crabgrind-0.1))))
-    (native-inputs (list valgrind))
+    (native-inputs (list valgrind/pinned))
     (home-page "https://github.com/rustls/pki-types")
     (synopsis "Shared types for the rustls PKI ecosystem")
     (description
diff --git a/gnu/packages/file-systems.scm b/gnu/packages/file-systems.scm
index a21679b954..4b9ff74387 100644
--- a/gnu/packages/file-systems.scm
+++ b/gnu/packages/file-systems.scm
@@ -219,7 +219,7 @@ (define-public bindfs
     (native-inputs
        ;; Native inputs to run the tests
        ;; ("ruby" ,ruby)
-       ;; ("valgrind" ,valgrind)
+       ;; ("valgrind" ,valgrind/pinned)
        ;; ("which" ,which)
      (list pkg-config))
     (inputs
diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 86481705bb..d03e829b24 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -13292,8 +13292,8 @@ (define-public libratbag
     (native-inputs
      (append
        (list check pkg-config swig)
-       (if (member (%current-system) (package-supported-systems valgrind))
-         (list valgrind)
+       (if (member (%current-system) (package-supported-systems valgrind/pinned))
+         (list valgrind/pinned)
          '())))
     (inputs
      `(("bash" ,bash-minimal) ; for wrap-program
@@ -14627,7 +14627,7 @@ (define-public gnome-software
            libxslt                      ;for xsltproc
            pkg-config
            sysprof
-           valgrind))
+           valgrind/pinned))
     (inputs
      (list appstream
            flatpak
diff --git a/gnu/packages/high-availability.scm b/gnu/packages/high-availability.scm
index 2799b5097d..b610e8791e 100644
--- a/gnu/packages/high-availability.scm
+++ b/gnu/packages/high-availability.scm
@@ -414,7 +414,7 @@ (define-public pacemaker
                          pkg-config
                          rsync
                          util-linux
-                         valgrind))
+                         valgrind/pinned))
     (inputs (list dbus
                   corosync
                   glib
diff --git a/gnu/packages/linux.scm b/gnu/packages/linux.scm
index 5903d4e7c1..e5606dcd06 100644
--- a/gnu/packages/linux.scm
+++ b/gnu/packages/linux.scm
@@ -6475,7 +6475,7 @@ (define-public multipath-tools
                       (string-append "-Wl,-rpath=" #$output "/lib")))))))
 
     (native-inputs
-     (list perl pkg-config valgrind
+     (list perl pkg-config valgrind/pinned
            ;; For tests.
            cmocka))
     (inputs
diff --git a/gnu/packages/machine-learning.scm b/gnu/packages/machine-learning.scm
index 94b230eb6e..837aa02efa 100644
--- a/gnu/packages/machine-learning.scm
+++ b/gnu/packages/machine-learning.scm
@@ -5244,7 +5244,7 @@ (define-public python-pytorch
            python-hypothesis
            python-types-dataclasses
            shaderc
-           valgrind))
+           valgrind/pinned))
     (inputs
      (append
       (list asmjit
diff --git a/gnu/packages/mpi.scm b/gnu/packages/mpi.scm
index c162cf50e6..9a7cffde19 100644
--- a/gnu/packages/mpi.scm
+++ b/gnu/packages/mpi.scm
@@ -231,7 +231,7 @@ (define-public openmpi-4
                (if-supported psm)
                (if-supported psm2)
                (if-supported ucx)
-               (if-supported valgrind)
+               (if-supported valgrind/pinned)
                (list rdma-core
                      slurm))))         ;for PMI support (launching via "srun")
     (native-inputs
diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index fae597ec99..e1ccc2fb68 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -5370,7 +5370,7 @@ (define-public stargate
            python-wavefile
            python-yq
            rubberband
-           valgrind
+           valgrind/pinned
 
            stargate-sbsms
            stargate-soundtouch))
diff --git a/gnu/packages/perl-check.scm b/gnu/packages/perl-check.scm
index 8a0c64884e..8fc434a29e 100644
--- a/gnu/packages/perl-check.scm
+++ b/gnu/packages/perl-check.scm
@@ -1409,7 +1409,7 @@ (define-public perl-test-runvalgrind
     (native-inputs
      (list perl-module-build))
     (propagated-inputs
-     (list perl-path-tiny perl-test-trap valgrind))
+     (list perl-path-tiny perl-test-trap valgrind/pinned))
     (home-page "https://metacpan.org/release/Test-RunValgrind")
     (synopsis "Tests that an external program is valgrind-clean")
     (description "Test::RunValgind checks weather Valgrind does not detect
diff --git a/gnu/packages/prolog.scm b/gnu/packages/prolog.scm
index c8b35200e5..7db0c8018b 100644
--- a/gnu/packages/prolog.scm
+++ b/gnu/packages/prolog.scm
@@ -196,8 +196,8 @@ (define-public trealla
     (build-system gnu-build-system)
     (native-inputs
      (append
-       (if (supported-package? valgrind)
-           (list valgrind)
+       (if (supported-package? valgrind/pinned)
+           (list valgrind/pinned)
            '())
        (list xxd)))
     (inputs
diff --git a/gnu/packages/qt.scm b/gnu/packages/qt.scm
index c491b5536d..f0803b5568 100644
--- a/gnu/packages/qt.scm
+++ b/gnu/packages/qt.scm
@@ -3390,7 +3390,7 @@ (define-public qtwebengine-5
            re2
            snappy
            eudev
-           valgrind
+           valgrind/pinned
            vulkan-headers
            xcb-util))
     (propagated-inputs
@@ -6163,7 +6163,7 @@ (define-public qt-creator
             qtshadertools
             qtsvg
             yaml-cpp
-            valgrind
+            valgrind/pinned
             vulkan-loader
             `(,zstd "lib"))
       (if (supported-package? rust-rustc-demangle-capi-0.1)
diff --git a/gnu/packages/robotics.scm b/gnu/packages/robotics.scm
index 949978d5dd..f95aa2b325 100644
--- a/gnu/packages/robotics.scm
+++ b/gnu/packages/robotics.scm
@@ -111,7 +111,7 @@ (define-public aseba
                                             debug " " flag)))))))))
       (native-inputs
        (list pkg-config
-             valgrind                             ;for tests
+             valgrind/pinned                      ;for tests
              `(,(canonical-package glibc) "debug")))
       (inputs
        (list dashel
diff --git a/gnu/packages/ruby.scm b/gnu/packages/ruby.scm
index 24407fbd58..840c0f52c7 100644
--- a/gnu/packages/ruby.scm
+++ b/gnu/packages/ruby.scm
@@ -10209,7 +10209,7 @@ (define-public ruby-ruby-memcheck
                 (("%x\\(git ls-files -z)")
                  "`git ls-files -z`")))))))
     (native-inputs (list ruby-rake-compiler ruby-rspec))
-    (inputs (list valgrind))
+    (inputs (list valgrind/pinned))
     (propagated-inputs (list ruby-nokogiri))
     (synopsis "Valgrind memcheck tool for Ruby")
     (description "The @code{ruby_memcheck} gem provides a sane way to use
diff --git a/gnu/packages/spreadsheet.scm b/gnu/packages/spreadsheet.scm
index 194d4f637e..bb424a4d52 100644
--- a/gnu/packages/spreadsheet.scm
+++ b/gnu/packages/spreadsheet.scm
@@ -87,7 +87,7 @@ (define-public sc-im
         (list bash-minimal
               bison
               pkg-config
-              valgrind
+              valgrind/pinned
               which))
       (synopsis "Spreadsheet program with vim-like keybindings")
       (description
diff --git a/gnu/packages/valgrind.scm b/gnu/packages/valgrind.scm
index 1cdbcf1689..b00a6445f8 100644
--- a/gnu/packages/valgrind.scm
+++ b/gnu/packages/valgrind.scm
@@ -37,7 +37,7 @@ (define-module (gnu packages valgrind)
   #:use-module (gnu packages gdb)
   #:use-module (gnu packages perl))
 
-(define valgrind/pinned
+(define-public valgrind/pinned
   (package
     (name "valgrind")
     (version "3.22.0")
@@ -93,7 +93,7 @@ (define valgrind/pinned
     ;; Hide this variant so end users get the "interactive" Valgrind below.
     (properties '((hidden? . #t)))))
 
-(define-public valgrind-next
+(define-public valgrind
   (package
     (inherit valgrind/pinned)
     (version "3.25.0")
@@ -110,10 +110,8 @@ (define-public valgrind-next
                              '("i586-gnu" "x86_64-gnu"
                                "armhf-linux")))))
 
-(define-public valgrind valgrind/pinned)
-
 (define-public valgrind/interactive
-  (package/inherit valgrind-next
+  (package/inherit valgrind
     (inputs
      ;; GDB is needed to provide a sane default for `--db-command'.
      (list gdb `(,(canonical-package (libc-for-target)) "debug")))
diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
index b3f998aca9..27954b67a7 100644
--- a/gnu/packages/web.scm
+++ b/gnu/packages/web.scm
@@ -5597,8 +5597,8 @@ (define-public jq
        ;(list ruby bundler)
        '()
        (if (member (%current-system)
-                   (package-supported-systems valgrind))
-         (list valgrind)
+                   (package-supported-systems valgrind/pinned))
+         (list valgrind/pinned)
          '())))
     (build-system gnu-build-system)
     (home-page "https://jqlang.github.io/jq/")